# Role: postfix

## Description

Installs and configures postfix.

https://www.postfix.org/

## Usage

Using in a playbook:

```yaml
- name: Play
  hosts:
    - all
  roles:
    - samuliy.ansible.postfix
  vars:
    ...
```

### Vars

`postfix_configs`:

Config to install into /etc/postfix.

The variable is a list of dicts with fields:

- 'name'
- 'config'

`postfix_sasl_configs`:

Config to install into /etc/postfix/sasl.

The variable is a list of dicts with fields:

- 'name'
- 'config'

`postfix_postmap`:

Files to run `postmap` for.
